# rds_param_group – manage RDS parameter groups

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Creates, modifies, and deletes RDS parameter groups. This module has a dependency on python-boto >= 2.5.

## Requirements

The below requirements are needed on the host that executes this module.

- boto

- boto3

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key

debug_botocore_endpoint_logs
boolean
added in 2.8

Choices:
- no ←
- yes

Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.

description - |  | Database parameter group description. Only set when a new group is added.
ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
engine - |  | The type of database for this group. Required for state=present. Please use following command to get list of all supported db engines and their respective versions. # aws rds describe-db-engine-versions --query "DBEngineVersions[].DBParameterGroupFamily"

immediate
boolean

Choices:
- no
- yes

Whether to apply the changes immediately, or after the next reboot of any associated instances.
aliases: apply_immediately

name - / required |  | Database parameter group identifier.
params - |  | Map of parameter names and values. Numeric values may be represented as K for kilo (1024), M for mega (1024^2), G for giga (1024^3), or T for tera (1024^4), and these values will be expanded into the appropriate number before being set in the parameter group. aliases: parameters
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.

purge_tags
boolean
added in 2.4

Choices:
- no ←
- yes

Whether or not to remove tags that do not appear in the tags list.

region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token

state
- / required

Choices:
- present ←
- absent

Specifies whether the group should be present or absent.

tags - added in 2.4 |  | Dictionary of tags to attach to the parameter group

validate_certs
boolean

Choices:
- no
- yes ←

When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`

- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html

- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Add or change a parameter group, in this case setting auto_increment_increment to 42 * 1024
    - rds_param_group:
          state: present
          name: norwegian-blue
          description: 'My Fancy Ex Parrot Group'
          engine: 'mysql5.6'
          params:
              auto_increment_increment: "42K"
          tags:
              Environment: production
              Application: parrot

    # Remove a parameter group
    - rds_param_group:
          state: absent
          name: norwegian-blue

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
db_parameter_group_arn string | when state is present | ARN of the DB parameter group
db_parameter_group_family string | when state is present | DB parameter group family that this DB parameter group is compatible with.
db_parameter_group_name string | when state is present | Name of DB parameter group
description string | when state is present | description of the DB parameter group
errors list | when state is present | list of errors from attempting to modify parameters that are not modifiable
tags dictionary | when state is present | dictionary of tags

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]

- This module is maintained by the Ansible Community. [community]

### Authors

- Scott Anderson (@tastychutney)

- Will Thames (@willthames)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.